CFD Online Logo CFD Online URL
www.cfd-online.com
[Sponsors]
Home > Forums > Software User Forums > OpenFOAM > OpenFOAM Running, Solving & CFD

Issue Installing Paraview for OpenFOAM

Register Blogs Members List Search Today's Posts Mark Forums Read

Reply
 
LinkBack Thread Tools Search this Thread Display Modes
Old   February 14, 2020, 22:20
Default Issue Installing Paraview for OpenFOAM
  #1
New Member
 
anonymous
Join Date: Sep 2009
Posts: 8
Rep Power: 12
felik9 is on a distinguished road
Hi,
I am trying to install Paraview that's required for OpenFOAM according to the instruction provided in this link:
https://www.openfoam.com/download/install-source.php


However, I get an error when I enter the following prompt:


root@nanay001-Bonobo-WS:/home/nanay001/OpenFOAM/ThirdParty-v1912# ./makeParaView
./makeParaView: 64: local: -DWM_DP: bad variable name
./makeParaView: 64: ./makeParaView: -DOPENFOAM: bad variable name




The error message is the last two lines above.



Please advise.
felik9 is offline   Reply With Quote

Old   February 15, 2020, 04:15
Default
  #2
HPE
Senior Member
 
Herpes Free Engineer
Join Date: Sep 2019
Posts: 298
Rep Power: 3
HPE is on a distinguished road
Please find the related threads in OF-GitLab and StackExchange. It is a solved problem:

https://stackoverflow.com/questions/...43244#59643244
https://develop.openfoam.com/Develop...am/issues/1541
https://develop.openfoam.com/Develop...mmon/issues/48
__________________
Kind regards,
HPE

The OpenFOAM community is the biggest contributor to OpenFOAM; not person A or B. Let's report bugs or issue feature requests in GitLab-OpenFOAM.

Please `design` your questions well. Such effort always pays off well for inquirers and `helpmate`s:
How to create a Minimal, Reproducible Example,
How to give enough info to get help.

Last edited by HPE; February 15, 2020 at 07:04.
HPE is offline   Reply With Quote

Old   February 15, 2020, 05:41
Default
  #3
New Member
 
Mary
Join Date: Feb 2020
Posts: 2
Rep Power: 0
MariMari is on a distinguished road
Hi
I read your post.
thank you very much.
Good luck

Download a beautiful song by Farzad Farzin
MariMari is offline   Reply With Quote

Old   February 16, 2020, 01:28
Default
  #4
New Member
 
anonymous
Join Date: Sep 2009
Posts: 8
Rep Power: 12
felik9 is on a distinguished road
Hi

I've followed the solution as posted in the 3 links provided above. However, I am still getting error messages. This is what I have done:

1- Edit the ./cmakeParaView file to change the first line from #!/bin/sh to #!/bin/bash


2- run the command: sudo dpkg-reconfigure dash
When I run the above command, I get the message prompt shown in the attached file, or below, which I select "NO":
Configuring dash

The system shell is the default command interpreter for shell scripts.

Using dash as the system shell will improve the system's overall
performance. It does not alter the shell presented to interactive users.

Use dash as the default system shell (/bin/sh)?

<Yes> <No>


3- run the command: ./makeParaView
At the end of this run, I get the following error output:
-- Looking for IceConnectionNumber in ICE
-- Looking for IceConnectionNumber in ICE - found
-- Found X11: /usr/lib/x86_64-linux-gnu/libX11.so
CMake Error at VTK/CMake/vtkQt.cmake:6 (message):
Expected value for VTK_QT_VERSION is '5'
Call Stack (most recent call first):
VTK/GUISupport/Qt/CMakeLists.txt:1 (include)


-- Configuring incomplete, errors occurred!
See also "/home/nanay001/OpenFOAM/ThirdParty-v1912/build/linux64Gcc/ParaView-5.6.3/CMakeFiles/CMakeOutput.log".
See also "/home/nanay001/OpenFOAM/ThirdParty-v1912/build/linux64Gcc/ParaView-5.6.3/CMakeFiles/CMakeError.log".


I am not sure how to fix this error, please advise.



Thanks
Attached Files
File Type: docx file1.docx (62.7 KB, 1 views)
felik9 is offline   Reply With Quote

Old   February 16, 2020, 07:05
Default
  #5
HPE
Senior Member
 
Herpes Free Engineer
Join Date: Sep 2019
Posts: 298
Rep Power: 3
HPE is on a distinguished road
It seems you solved the first problem. This is another problem. Have you installed all required pre-requisite packages? e.g. package for VTK?
__________________
Kind regards,
HPE

The OpenFOAM community is the biggest contributor to OpenFOAM; not person A or B. Let's report bugs or issue feature requests in GitLab-OpenFOAM.

Please `design` your questions well. Such effort always pays off well for inquirers and `helpmate`s:
How to create a Minimal, Reproducible Example,
How to give enough info to get help.
HPE is offline   Reply With Quote

Old   February 16, 2020, 23:53
Default
  #6
New Member
 
anonymous
Join Date: Sep 2009
Posts: 8
Rep Power: 12
felik9 is on a distinguished road
Hi,


I recently installed VTK 8.2, but I'm still getting the same error as shown below.

-- Looking for IceConnectionNumber in ICE - found
-- Found X11: /usr/lib/x86_64-linux-gnu/libX11.so
CMake Error at VTK/CMake/vtkQt.cmake:6 (message):
Expected value for VTK_QT_VERSION is '5'
Call Stack (most recent call first):
VTK/GUISupport/Qt/CMakeLists.txt:1 (include)


-- Configuring incomplete, errors occurred!
See also "/home/nanay001/OpenFOAM/ThirdParty-v1912/build/linux64Gcc/ParaView-5.6.3/CMakeFiles/CMakeOutput.log".
See also "/home/nanay001/OpenFOAM/ThirdParty-v1912/build/linux64Gcc/ParaView-5.6.3/CMakeFiles/CMakeError.log".
root@nanay001-Bonobo-WS:/home/nanay001/OpenFOAM/ThirdParty-v1912#


I am not sure what else I could do to fix this problem. I have attached a file with the complete run that I obtained. Please advise.
Attached Files
File Type: docx file1.docx (7.8 KB, 2 views)

Last edited by felik9; February 17, 2020 at 00:58.
felik9 is offline   Reply With Quote

Old   February 17, 2020, 16:31
Default
  #7
HPE
Senior Member
 
Herpes Free Engineer
Join Date: Sep 2019
Posts: 298
Rep Power: 3
HPE is on a distinguished road
Build ParaView separately?

Almost always ParaView is pain in the arse for OpenFOAM maintainers for various legitimate reasons.

I never bother with paraFoam. Using ParaView directly is possible, so. e.g. In your simulation directory you create an empty text file, like with a name a.foam, and just calling "paraview a.foam" is equivalent to "paraFoam", alomost.

In the worst case, you can submit a bug ticket in GitLab.
__________________
Kind regards,
HPE

The OpenFOAM community is the biggest contributor to OpenFOAM; not person A or B. Let's report bugs or issue feature requests in GitLab-OpenFOAM.

Please `design` your questions well. Such effort always pays off well for inquirers and `helpmate`s:
How to create a Minimal, Reproducible Example,
How to give enough info to get help.
HPE is offline   Reply With Quote

Reply

Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are Off
Pingbacks are On
Refbacks are On


Similar Threads
Thread Thread Starter Forum Replies Last Post
[foam-extend.org] foam-extend-3.1 multiple versions paraview issue CFDpal OpenFOAM Installation 1 May 31, 2018 09:51
[General] Paraview display issue on Windows zjx1805 ParaView 0 May 4, 2018 14:06
Issue installing SU2-AD kaush SU2 1 April 23, 2018 11:40
[OpenFOAM.org] problem installing ParaView with openFoam5 enginpower OpenFOAM Installation 3 March 26, 2018 11:34
Installing OpenFOAM without Paraview quartzian OpenFOAM Installation 0 September 8, 2008 10:29


All times are GMT -4. The time now is 09:51.